﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import fl.transitions.Tween;
	import fl.transitions.easing.*;
	import flash.events.MouseEvent;


	public class Damier extends Sprite
	{
		private var col:Number = 32;
		private var line:Number = 30;
		private var grid:Sprite;
		private var points:Array;
		private var amplitude:Number =600;
		private var diametre:Number = 50
		public function Damier()
		{
			grid = new Sprite();
			addChild(grid);
			grid.x = 100;
			grid.y = 100;
			addEventListener(Event.ENTER_FRAME, enterHandler);
			
		}
		private function enterHandler(e:Event):void
		{

			var dist:Number;
			var distx:Number;
            var disty:Number;

			
			points = new Array();
			for(var i:Number = 0;i<col;i++){  
				for(var j:Number = 0; j<line;j++){
					dist = Math.sqrt(Math.pow((j*10-mouseX+grid.x),2) + Math.pow(i*10-mouseY+grid.y,2));
					if(dist<diametre && dist>=10){
						distx= ((j*10)-mouseX+grid.x<0)?-dist:dist;
						disty= ((i*10)-mouseY+grid.x<0)?-dist:dist;
						points.push({"x":j*10+amplitude/distx,"y":i*10+amplitude/disty});
					}else{
						points.push({"x":j*10,"y":i*10});
					}
				}
			}
			grid.graphics.clear();
			grid.graphics.lineStyle(1,0xffffff,0);
			for(var k:Number=0;k<points.length;k++){
				grid.graphics.beginFill(0xffffff,0.2);
				grid.graphics.drawRoundRect(points[k].x,points[k].y, 10, 10, 50, 1);
				grid.graphics.beginFill(0xFFFF00,0.4);
				grid.graphics.drawRoundRect(points[k].x,points[k].y, 20, 20, 100, 2);
				grid.graphics.endFill();
				if((k+1)%col != 0){
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+1].x,points[k+1].y);
				}
				if(k+col < col*line){
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+col].x,points[k+col].y);
					
				}
			}
		}
	}
}